APT-EXTRACTTEMPLATE(1)

NOM
apt-extracttemplates - Outil d'extraction des textes et fichiers de configuration pour debconf contenu dans un paquet Debian

SYNOPSIS

apt-extracttemplates [-t=répertoire_temporaire] nom_de_fichier... {-v | --version} {-h | --help}

DESCRIPTION

Apt-extracttemplates prend un ou plusieurs paquets Debian en paramètre et extrait (dans un répertoire temporaire) tous les scripts et guides de configuration associés. Pour chaque paquet traité contenant des scripts et guides de configuration, une ligne est affichée au format suivant :

paquet version guide-de-configuration script-de-configuration

Les scripts et guides de configuration sont écrits dans le répertoire temporaire indiqué par l'option -t ou --tempdir (APT::ExtractTemplates::TempDir) ; les noms de fichier sont de la forme package.template.XXXXXX ou package.config.XXXXXX.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez outrepasser les réglages du fichier de configuration avec -f-,--no-f, -f=no ou d'autres variations.

-t, --tempdir
    Répertoire temporaire dans lequel écrire les scripts de configuration et modèles d'écrans pour debconf. Élément de configuration : APT::ExtractTemplates::TempDir.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

--audit, --version
    Afficher les messages d'audit (et d'avertissement). Cela annule l'option mode silencieux, mais seulement pour les messages d'avertissement, pas pour ceux de progression.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnementAPT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

--no-color, --color
    Active ou désactive les couleurs. Elles sont activées par défaut sur les terminaux pris en charge pour apt(8) et peuvent aussi être désactivées avec les variables d'environnement NO_COLOR ou APT_NO_COLOR, ou configurées plus tard par l'option et le champ d'action de configuration APT::Color. Consulter apt.conf(5) pour plus d’informations.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-extracttemplates retourne zéro si tout se passe bien, le nombre 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), bubu et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (2004, 2017-2024) et l'équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    https://bugs.debian.org/src:apt